Bug 507841 - Music CD mounts as Blank CD-ROM disc
Music CD mounts as Blank CD-ROM disc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: brasero (Show other bugs)
11
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-24 09:48 EDT by Pat Whitehead
Modified: 2010-06-28 09:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:16:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pat Whitehead 2009-06-24 09:48:35 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b4) Gecko/20090427 Fedora/3.5-0.20.beta4.fc11 Firefox/3.5b4

On insertion of a music cd a desktop icon for Blank CD-ROM Disc is created and soundjuicer not opened

Reproducible: Always

Steps to Reproduce:
1.insert music cd into cd-rom drive
2.desktop icon for Blank CD-Rom Disc appears
3.open soundjuicer manually and disc is not recognised
Actual Results:  
no longer able to rip cd's with soundjuicer - K3B still works

Expected Results:  
Music cd icon should appear on desktop and soundjuicer should open

Fedora 10 worked fine, only stopped working after upgrade to 11. K3b reads and rips the disc as normal
Comment 1 Xavier Lamien 2009-06-24 11:58:23 EDT
This issue has nothing related to brasero.
And i guess you don't use brasero as k3b is mentioned above or, am I wrong ?

So, the disc is mounted as Blank but recognized as Music's with K3b.
How does your system handle auto-mount ?

I'm not a kde user but AFAIK, k3b handles the device by its own (through dbus-qt iirc) when starting.

however, i given it a try on my side and i can't reproduce the bug i'm afraid.
(gnome-mount used)
Comment 2 Bill Nottingham 2009-06-24 12:04:10 EDT
It was bounced to brasero as it was either to pick gnome-mount, or libbrasero-media.
Comment 3 Pat Whitehead 2009-06-24 13:54:32 EDT
(In reply to comment #1)
> This issue has nothing related to brasero.
> And i guess you don't use brasero as k3b is mentioned above or, am I wrong ?
> 
> So, the disc is mounted as Blank but recognized as Music's with K3b.
> How does your system handle auto-mount ?
> 
> I'm not a kde user but AFAIK, k3b handles the device by its own (through
> dbus-qt iirc) when starting.
> 
> however, i given it a try on my side and i can't reproduce the bug i'm afraid.
> (gnome-mount used)  

The system is gnome with kdebase etc added to use K3B, krusader and several other KDE progs. CD's have always just automounted from install presumably using gnome-mount.
Comment 4 Xavier Lamien 2009-06-24 21:49:15 EDT
Could you attach output by performing this following :
> sound-juicer --brasero-media-debug
Comment 5 Pat Whitehead 2009-06-25 12:58:21 EDT
(In reply to comment #4)
> Could you attach output by performing this following :
> > sound-juicer --brasero-media-debug  

(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium-monitor.c:436: Polling for drives
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium-monitor.c:446: Found 2 drives
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium-monitor.c:449: Probing /org/freedesktop/Hal/devices/storage_model_DVD_ROM_DVD_105
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:960: Drive caps are 0
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:981: Drive /dev/sr1 has bus,target,lun = 4 1 0
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:831: Contents changed
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:846: Medium inserted
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:2983: Trying to open device /dev/sr1
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:3004: Open () succeeded
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:3019: Device ready
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:2877: Initializing information for medium in DVD-ROM DVD-105
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:2330: Retrieving media profile
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium-monitor.c:449: Probing /org/freedesktop/Hal/devices/storage_model_DVD_RW__DVR_110D
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:1458: Retrieving media available speeds
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:1286: Retrieving speed (Get Performance)
(sound-juicer:2549): BraseroMedia-DEBUG: At scsi-sense-data.c:132: SCSI command error: Invalid command
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:1297: GET PERFORMANCE failed
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:1378: Retrieving speed (2A speeds)
(sound-juicer:2549): BraseroMedia-DEBUG: At scsi-mode-sense.c:125: Getting page size
(sound-juicer:2549): BraseroMedia-DEBUG: At scsi-mode-sense.c:150: SCSI command error: Size mismatch
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-medium.c:1387: MODE SENSE failed
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:960: Drive caps are 127
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:981: Drive /dev/sr0 has bus,target,lun = 4 0 0
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:831: Contents changed
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:150: Found drive /dev/sr0
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:150: Found drive /dev/sr0
(sound-juicer:2549): BraseroMedia-DEBUG: At scsi-sg.c:124: SCSI command error: Bad address
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:150: Found drive /dev/sr0
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-drive.c:193: No GDrive
(sound-juicer:2549): BraseroMedia-DEBUG: At brasero-volume.c:103: Found volume /dev/sr1
Comment 6 Pat Whitehead 2009-06-29 13:52:06 EDT
some further info - putting the disc in the dvd-rom drive I normally use for ripping gives the above conditions but if I put it in the dvd-rw drive instead, there is no icon appears on the desktop at all but open soundjuicer and switch drives in the preference box and the correct audio disc icon appears on the desktop and soundjuicer comes up with the details for the disc ready to rip it.
Comment 7 Bug Zapper 2010-04-27 11:13:20 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 09:16:18 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.